import { Material } from 'three';
import SpeckleBasicMaterial from './SpeckleBasicMaterial';
import { Uniforms } from './SpeckleMaterial';
declare class SpeckleDisplaceMaterial extends SpeckleBasicMaterial {
    protected get vertexProgram(): string;
    protected get fragmentProgram(): string;
    protected get uniformsDef(): Uniforms;
    constructor(parameters: any, defines: any);
    fastCopy(from: Material, to: Material): void;
}
export default SpeckleDisplaceMaterial;
